> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Vehicles

Retrieve a list of Vehicles for a specific Entity.

## Path Parameters

## Query Parameters

## Returns

Returns a list of Vehicles.

```bash cURL theme={null}
curl "https://production.methodfi.com/entities/ent_yVf3mkzbhz9tj/vehicles" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .entities('ent_yVf3mkzbhz9tj')
  .vehicles
  .list();
```

```python Python theme={null}
response = method
  .entities('ent_yVf3mkzbhz9tj')
  .vehicles
  .list()
```

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "evhl_knqJgxKUnqDVJ",
      "entity_id": "ent_zR3nJG3c99P3X",
      "vehicles": [
        {
          "vin": "2G1125S36F9220155",
          "year": "2015",
          "make": "chevrolet",
          "model": "impala",
          "series": null,
          "major_color": "black",
          "style": "sedan/saloon"
        },
        {
          "vin": "JN8AZ2NF0C9518827",
          "year": "2012",
          "make": "infiniti",
          "model": "qx56",
          "series": null,
          "major_color": "black",
          "style": "sport_utility_vehicle"
        },
      ],
      "status": "completed",
      "error": null,
      "updated_at": "2024-08-01T16:08:25.462Z",
      "created_at": "2024-08-01T16:08:25.462Z"
    }
    {...}
  ],
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.